package org.dromara.zhishu.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

/*
    拼多多订单装换枚举
 */

@Getter
@AllArgsConstructor

public enum PddOrderEnum {

    ADDRESS("address", "详细地址"),
    ADDRESS_MASK("address_mask", "详细地址"),
    AFTER_SALES_STATUS("after_sales_status", "售后状态"),
    BONDED_WAREHOUSE("bonded_warehouse", "保税仓名称"),
    BUYER_MEMO("buyer_memo", "买家留言信息"),
    CITY("city", "城市"),
    CONFIRM_STATUS("confirm_status", "成交状态"),
    CONFIRM_TIME("confirm_time", "成交时间"),
    CONSOLIDATE_INFO("consolidate_info", "集运信息"),
    COUNTRY("country", "国家"),
    COUNTRY_ID("country_id", "国家或地区编码"),
    CREATED_TIME("created_time", "订单创建时间"),
    DELIVERY_HOME_VALUE("delivery_home_value", "详细地址"),
    DELIVERY_INSTALL_VALUE("delivery_install_value", "送货入户并安装费用"),
    DELIVERY_ONE_DAY("delivery_one_day", "是否当日发货"),
    DISCOUNT_AMOUNT("discount_amount", "折扣金额"),
    DUO_DUO_PAY_REDUCTION("duo_duo_pay_reduction", "多多支付立减金额"),
    DUODUO_WHOLESALE("duoduo_wholesale", "是否多多批发"),
    EXTRA_DELIVERY_LIST("extra_delivery_list", "快递信息"),
    GOODS_AMOUNT("goods_amount", "商品金额"),
    INNER_TRANSACTION_ID("inner_transaction_id", "支付申报订单号"),
    ITEM_LIST("item_list", "订单商品列表"),
    LAST_SHIP_TIME("last_ship_time", "订单承诺发货时间"),
    LOGISTICS_ID("logistics_id", "快递公司在拼多多的代码"),
    MKT_BIZ_TYPE("mkt_biz_type", "市场业务类型"),
    ONLY_SUPPORT_REPLACE("only_support_replace", "只换不修"),
    OPEN_ADDRESS_ID("open_address_id", "合单ID"),
    ORDER_CHANGE_AMOUNT("order_change_amount", "订单改价折扣金额，单位元"),
    ORDER_DEPOT_INFO("order_depot_info", "仓库信息"),
    DEPOT_CODE("depot_code", "仓库编码"),
    DEPOT_ID("depot_id", "仓库id"),
    DEPOT_NAME("depot_name", "仓库名称"),
    DEPOT_TYPE("depot_type", "仓库类型"),
    WARE_ID("ware_id", "货品id"),
    WARE_NAME("ware_name", "货品名称"),
    WARE_SN("ware_sn", "货品编码"),
    WARE_TYPE("ware_type", "货品类型（0：普通货品:1：组合货品）"),
    ORDER_SN("order_sn", "订单编号"),
    ORDER_STATUS("order_status", "订单状态"),
    PAY_AMOUNT("pay_amount", "支付金额"),
    PAY_NO("pay_no", "支付单号"),
    PAY_TIME("pay_time", "支付时间"),
    PAY_TYPE("pay_type", "支付方式"),
    PLATFORM_DISCOUNT("platform_discount", "平台优惠金额"),
    POSTAGE("postage", "邮费"),
    PRE_SALE_TIME("pre_sale_time", "预售时间"),
    PROMISE_DELIVERY_TIME("promise_delivery_time", "承诺送达时间"),
    PROVINCE_ID("province_id", "省份编码"),
    PROVINCE("province", "省份编码"),
    RECEIVE_TIME("receive_time", "确认收货时间"),
    RECEIVER_ADDRESS("receiver_address", "收件人地址"),
    RECEIVER_ADDRESS_MASK("receiver_address_mask", "收件人地址"),
    RECEIVER_NAME("receiver_name", "收件人姓名"),
    RECEIVER_NAME_MASK("receiver_name_mask", "收件人姓名"),
    RECEIVER_PHONE("receiver_phone", "收件人手机号"),
    RECEIVER_PHONE_MASK("receiver_phone_mask", "收件人手机号（打码）"),
    REFUND_STATUS("refund_status", "售后状态"),
    REMARK("remark", "订单备注"),
    REMARK_TAG("remark_tag", "订单备注标记"),
    REMARK_TAG_NAME("remark_tag_name", "订单备注标记名称"),
    RESEND_DELIVERY_LIST("resend_delivery_list", "补寄额外运单列表"),
    RETURN_FREIGHT_PAYER("return_freight_payer", "退货包运费"),
    RISK_CONTROL_STATUS("risk_control_status", "订单审核状态"),
    SELF_CONTAINED("self_contained", "是否门店自提"),
    SELLER_DISCOUNT("seller_discount", "商家优惠金额"),
    SERVICE_FEE_DETAIL("service_fee_detail", "服务费明细列表"),
    STOCK_OUT_HANDLE_STATUS("stock_out_handle_status", "缺货处理状态"),
    SUPPORT_NATIONWIDE_WARRANTY("support_nationwide_warranty", "全国联保"),
    TOWN("town", "区，乡镇"),
    TOWN_ID("town_id", "区县编码"),
    TRACKING_NUMBER("tracking_number", "快递单号"),
    TRADE_IN_NATIONAL_SUBSIDY_AMOUNT("trade_in_national_subsidy_amount", "以旧换新国家补贴金额，单位：元"),
    TRADE_TYPE("trade_type", "订单类型"),
    UPDATED_AT("updated_at", "订单的更新时间"),
    URGE_SHIPPING_TIME("urge_shipping_time", "催发货时间"),
    YYPS_DATE("yyps_date", "预约配送日期"),
    YYPS_TIME("yyps_time", "预约配送时段"),
    OPEN_ADDRESS_ID_2("open_address_id_2", "合单ID2");


    private final String code;
    private final String name;


}
